{% extends 'base.html' %}

{% block content %}
  <ul class="nav justify-content-end">
    <li class="nav-item">
      <a class="btn btn-outline-primary" href="{{ url_for('category_edit', id=0) }}"><i class="bi bi-plus-lg"></i> Добавить новую категорию</a>

    </li>
  </ul>
  <div class="row">
    <div class="p-3 pb-md-4 mx-auto text-center">

      <table class="table table-sm table-striped">
        <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Название</th>
          <th scope="col">Сортировка</th>
          <th scope="col">Активен</th>
          <th scope="col">Действия</th>
        </tr>
        </thead>
        <tbody>
        {% for category in categories %}
          <tr class="{{ "" if category.is_active else "text-muted" }} align-middle">
            <th scope="row">{{ category.id }}</th>
            <td>{{ category.name }}</td>
            <td>{{ category.sort_pn }}</td>
            <td class="{{ "green" if category.is_active else "red" }}">
              {% if category.is_active %}
                <i class="bi bi-check"></i>
              {% else %}
                <i class="bi bi-x"></i>
              {% endif %}

            </td>
            <td>
              <a href="{{ url_for('category_edit', id=category.id) }}" class="action-edit"><i class="bi bi-pencil-square"></i> Редактировать</a>
              &nbsp; &nbsp; &nbsp;
              <a href="{{ url_for('category_delete', id=category.id, del=True) }}" class="action-remove">
                <i class="bi bi-trash"></i> Удалить</a>
            </td>
          </tr>
        {% endfor %}
      </table>

    </div>
  </div>

{% endblock %}